# Created by pyp2rpm-3.3.8
%global pypi_name tempest

%bcond_with docs
%bcond_with check

Name:           python-%{pypi_name}
Version:        42.0.0
Release:        %mkrel 1
Summary:        OpenStack Integration Testing
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/tempest/latest/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         tempest-test-reqs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pbr)
%if %{with docs}
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(oslo-config)
BuildRequires:  python3dist(oslo-concurrency)
BuildRequires:  python3dist(oslo-log)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(prettytable)
BuildRequires:  python3dist(python-subunit)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(paramiko)
%endif
%if %{with check}
BuildRequires:  python3dist(flake8-import-order)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(hacking)
%endif

%description
This is a set of integration tests to be run against a live OpenStack cluster.
Tempest has batteries of tests for OpenStack API validation, scenarios, and
other specific tests useful in validating an OpenStack deployment.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a set of integration tests to be run against a live OpenStack cluster.
Tempest has batteries of tests for OpenStack API validation, scenarios, and
other specific tests useful in validating an OpenStack deployment.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_prefix}/etc/tempest/ %{buildroot}%{_sysconfdir}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_sysconfdir}/tempest/
%{_bindir}/check-uuid
%{_bindir}/skip-tracker
%{_bindir}/subunit-describe-calls
%{_bindir}/tempest


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 42.0.0-1.mga10
+ Revision: 2159054
- new version: 42.0.0
+ wally <wally>
- rebuild for python3.13
+ papoteur <papoteur>
- add and use pytest

* Tue Dec 19 2023 papoteur <papoteur> 31.1.0-2.mga10
+ Revision: 2019348
- Mass Rebuild - Python 3.12

* Mon Aug 22 2022 wally <wally> 31.1.0-1.mga9
+ Revision: 1879419
- imported package python-tempest

